<div class="chat-application">
  <div #contentOverlay class="content-overlay" (click)="onContentOverlay()"></div>
  <div [perfectScrollbar] #chatSidebar class="chat-sidebar float-left d-none d-sm-none d-md-block d-lg-block">
    <div class="chat-sidebar-content">
      <div class="chat-fixed-search p-2">
        <form>
          <div class="position-relative has-icon-left">
            <input class="form-control" id="timesheetinput1" name="employeename" type="text">
            <div class="form-control-position">
              <i class="ft-user"></i>
            </div>
          </div>
        </form>
      </div>
      <div id="users-list" class="list-group position-relative">
        <div class="users-list-padding">
          <a class="list-group-item bg-blue-grey bg-lighten-5 border-right-primary border-right-2" *ngFor="let user of users" (click)="SetActive($event, user)">
            <span class="media">
              <span class="avatar avatar-md avatar-online">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="{{user.picture}}" [src]="user.picture"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">{{user.name}}
                  <span class="font-small-3 float-right primary">{{user.date_time}}</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check primary font-small-2" *ngIf="user.not_read==0"></i> {{user.message}}
                  <span class="float-right   primary" *ngIf="user.not_read!=0">
                    <span class="badge badge-pill badge-primary">{{user.not_read}}</span>
                  </span>
                 
                </p>
              </div>
            </span>
          </a>
          <!-- <a class="list-group-item no-border" (click)="SetActive($event,'chat2')">
            <span class="media">
              <span class="avatar avatar-md avatar-busy">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-7.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Kristopher Candy
                  <span class="font-small-3 float-right primary">9:04 PM</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check primary font-small-2"></i> Thank you
                  <span class="float-right
                        primary">
                    <span class="badge badge-pill badge-primary">12</span>
                  </span>
                </p>
              </div>
            </span>
          </a>
          <a class="list-group-item no-border" (click)="SetActive($event,'chat3')">
            <span class="media">
              <span class="avatar avatar-md avatar-away">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-8.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Sarah Woods
                  <span class="font-small-3 float-right primary">2:14 AM</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check font-small-2"></i> Hello krish!
                  <span class="float-right primary">
                    <i class="font-medium-1 icon-volume-off blue-grey lighten-3 mr-1"></i>
                    <span class="badge badge-pill badge-primary">3</span>
                  </span>
                </p>
              </div>
            </span>
          </a>
          <a class="list-group-item no-border" (click)="SetActive($event,'chat4')">
            <span class="media">
              <span class="avatar avatar-md avatar-away">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-5.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Bruce Reid
                  <span class="font-small-3 float-right primary">Yesterday</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check font-small-2"></i> Will connect you</p>
              </div>
            </span>
          </a>
          <a class="list-group-item no-border" (click)="SetActive($event,'chat5')">
            <span class="media">
              <span class="avatar avatar-md avatar-online">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-9.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Heather Howell
                  <span class="font-small-3 float-right primary">Friday</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check font-small-2"></i> Thank you
                  <span class="float-right primary">
                    <span class="badge badge-pill badge-primary">4</span>
                  </span>
                </p>
              </div>
            </span>
          </a>
          <a class="list-group-item no-border" (click)="SetActive($event,'chat6')">
            <span class="media">
              <span class="avatar avatar-md avatar-busy">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-4.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Kelly Reyes
                  <span class="font-small-3 float-right primary">Thrusday</span>
                </h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check font-small-2"></i> I love you </p>
              </div>
            </span>
          </a>
          <a class="list-group-item no-border" (click)="SetActive($event,'chat7')">
            <span class="media">
              <span class="avatar avatar-md avatar-online">
                <img class="media-object d-flex mr-3 bg-primary height-50 rounded-circle" src="assets/img/portrait/small/avatar-s-14.png"
                  alt="Generic placeholder image">
                <i></i>
              </span>
              <div class="media-body  text-left">
                <h6 class="list-group-item-heading">Vincent Nelson</h6>
                <p class="list-group-item-text text-muted">
                  <i class="ft-check primary font-small-2"></i> Who you are?</p>
              </div>
            </span>
          </a> -->
        </div>
      </div>
    </div>
  </div>
  <div class="chat-name p-2 bg-white">
    <div class="media">
      <span class="chat-app-sidebar-toggle ft-align-justify font-large-1 mr-2 d-none d-block d-sm-block d-md-none" (click)="onSidebarToggle()"></span>
      <div class="media-body text-left">
        <img [src]="[activeChatUserImg]" width="37" class="rounded-circle mr-1" alt="avatar" />
        <span>{{ activeChatUser }}</span>
        <i class="ft-more-vertical float-right mt-1"></i>
      </div>
    </div>
  </div>
  <section class="chat-app-window" #scrollMe [scrollTop]="scrollMe.scrollHeight">
    <div class="badge badge-dark mb-1">Chat History</div>
    <div class="chats">
      <div class="chats">
        <div [ngClass]="[chat.chatClass]" *ngFor="let chat of chat">
          <div class="chat-avatar">
            <a class="avatar" data-toggle="tooltip" data-placement="[chat.avatar]" title="" data-original-title="">
              <img [src]="[chat.imagePath]" class="width-50" alt="avatar" />
            </a>
          </div>
          <div class="chat-body">
            <div class="chat-content" *ngFor="let message of chat.messages">
              <p *ngIf="chat.messageType === 'text'">{{ message }}</p>
              <img *ngIf="chat.messageType === 'img'" width="360px" src="{{ message }}" >
              <vg-player *ngIf="chat.messageType === 'audio'">
                <audio [vgMedia]="media1" #media1 id="singleAudio" preload="auto" controls>
                  <source [src]="message" type="audio/mp3">
                </audio>
              </vg-player>
              <vg-player *ngIf="chat.messageType === 'video'" style="height: 250px; width: 250px">
                <video [vgMedia]="media" #media id="singleVideo" preload="auto" controls>
                  <source [src]="message" type="video/mp4">
                </video>
              </vg-player>
            </div>
          </div>
          <p class="time" *ngIf="chat.time !='' ">{{chat.time}}</p>
        </div>
        <div class="chat" *ngIf="messages.length > 0">
          <div class="chat-avatar">
            <a class="avatar" data-toggle="tooltip" data-placement="right" title="" data-original-title="">
              <img src="assets/img/portrait/small/avatar-s-1.png" class="width-50" alt="avatar" />
            </a>
          </div>
          <div class="chat-body">
            <div class="chat-content" *ngFor="let message of messages">
              <p>{{ message }}</p>
            </div>
          </div>
        </div>

      </div>
    </div>
  </section>
  <section class="chat-app-form bg-blue-grey bg-lighten-5">
    <form class="chat-app-input row mt-2">
      <fieldset class="form-group position-relative has-icon-left col-lg-10 col-8 m-0 px-3">
        <div class="form-control-position">
          <i class="icon-emoticon-smile"></i>
        </div>
        <input type="text" class="form-control" id="iconLeft4" placeholder="Type your message"  (keydown.enter)="onAddMessage();$event.preventDefault()"
        #messageInput>
        <div class="form-control-position control-position-right">
          <input style="display: none;" #uploadImg id="slipinput" type="file" accept="image/*"
          (change)="changeImg($event)" hidden>
          <i class="ft-image mr-1" (click)="uploadImg.click()"></i>
        </div>
      </fieldset>
      <fieldset class="form-group position-relative has-icon-left col-lg-2 col-4 m-0">
        <button type="button" class="btn btn-raised btn-primary px-4" (click)="onAddMessage()">
          <i class="fa fa-paper-plane-o d-block d-xl-inline-block d-lg-none p-0"></i>
          <span class="d-none d-lg-inline-block ml-1">Send</span>
        </button>
      </fieldset>
    </form>
  </section>
</div>
